Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOOGLExporter Class Reference

`#include <vtkOOGLExporter.h>`

Inheritance diagram for vtkOOGLExporter:

[legend]
Collaboration diagram for vtkOOGLExporter:

[legend]
List of all members.

## Detailed Description

export a scene into Geomview OOGL format.

Date:
  2002/08/22 18:39:30

Revision:
  1.7

vtkOOGLExporter is a concrete subclass of vtkExporter that writes Geomview OOGL files.

See also:
  vtkExporter

Created by:
  - Gobbi, David

CVS contributions (if > 5%):
  - Gobbi, David (85%)
  - Cedilnik, Andy (8%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkOOGLExporter.h)`
  - .`cxx` (`/Rendering/vtkOOGLExporter.cxx)`

Tests:
  vtkOOGLExporter (Tests)

Definition at line 52 of file vtkOOGLExporter.h.

## Public Types
typedef vtkExporter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetFileName (const char *)
virtual char * | GetFileName ()
## Static Public Methods
vtkOOGLExporter * | New ()
int | IsTypeOf (const char *type)
vtkOOGLExporter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkOOGLExporter ()
| ~vtkOOGLExporter ()
void | WriteData ()
void | WriteALight (vtkLight *aLight, FILE *fp)
void | WriteAnActor (vtkActor *anActor, FILE *fp, int count)
## Protected Attributes
char * | FileName

## Member Typedef Documentation

typedef vtkExporter vtkOOGLExporter::Superclass

| Reimplemented from vtkExporter. Definition at line 56 of file vtkOOGLExporter.h.

## Constructor & Destructor Documentation

vtkOOGLExporter::vtkOOGLExporter | ( |  | ) | `[protected]`

vtkOOGLExporter::~vtkOOGLExporter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkOOGLExporter* vtkOOGLExporter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkOOGLExporter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkExporter.

int vtkOOGLExporter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkExporter.

virtual int vtkOOGLExporter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkExporter.

vtkOOGLExporter* vtkOOGLExporter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkExporter.

void vtkOOGLExporter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkExporter.

virtual void vtkOOGLExporter::SetFileName | ( | const char * |  | ) | `[virtual]`

| Specify the name of the Geomview file to write.

virtual char* vtkOOGLExporter::GetFileName | ( |  | ) | `[virtual]`

| Specify the name of the Geomview file to write.

void vtkOOGLExporter::WriteData | ( |  | ) | `[protected, virtual]`

| Implements vtkExporter.

void vtkOOGLExporter::WriteALight | ( | vtkLight * | aLight,
|  | FILE * | fp
| ) | `[protected]`

void vtkOOGLExporter::WriteAnActor | ( | vtkActor * | anActor,
|  | FILE * | fp,
|  | int | count
| ) | `[protected]`

## Member Data Documentation

char* vtkOOGLExporter::FileName`[protected]`

| Definition at line 72 of file vtkOOGLExporter.h.

The documentation for this class was generated from the following file:

- Rendering/vtkOOGLExporter.h